# GalDefineViewsModel

## Name

GalDefineViewsModel --

## Synopsis

    #define     GAL_DEFINE_VIEWS_MODEL_TYPE
    typedef     GalDefineViewsModel;
    ETableModel* gal_define_views_model_new     (void);
    void        gal_define_views_model_append   (GalDefineViewsModel *model,
                                                 GalView *view);

## Object Hierarchy

      GtkObject
       +----ETableModel
             +----GalDefineViewsModel

## Properties

      "editable"             gboolean              : Read / Write

## Description

## Details

### GAL_DEFINE_VIEWS_MODEL_TYPE

    #define GAL_DEFINE_VIEWS_MODEL_TYPE        (gal_define_views_model_get_type ())

### GalDefineViewsModel

    typedef struct {
    	ETableModel parent;

    	/* item specific fields */
    	GalView **data;
    	int data_count;

    	guint editable : 1;
    } GalDefineViewsModel;

### gal_define_views_model_new ()

    ETableModel* gal_define_views_model_new     (void);

Returns a new define views model. This is a list of views as an ETable for use in the GalDefineViewsDialog.

Returns : | The new GalDefineViewsModel.

### gal_define_views_model_append ()

    void        gal_define_views_model_append   (GalDefineViewsModel *model,
                                                 GalView *view);

Adds the given view to the gal define views model.

`model` : | The model to add to.
`view` : | The view to add.

## Properties

### The "`editable`" property

      "editable"             gboolean              : Read / Write